Bug 88086 - No auto-setup of HPOJ 'PTAL' devices
No auto-setup of HPOJ 'PTAL' devices
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-printer (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
: 125197 (view as bug list)
Depends On: 82652
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-05 08:01 EST by Darren Brierton
Modified: 2007-04-18 12:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:14:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darren Brierton 2003-04-05 08:01:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
I have an HP OfficeJet K80 local USB printer. Kudzu detects it correctly on boot
up. When I start redhat-config-printer from the GNOME control-panel
(system-settings:///Printing) the printer is listed correctly -

/dev/usb/lp0  Hewlett-Packard OfficeJet K80

- in its list of available queues. If I edit the queue, and go to the "Printer
driver" tab I see that the correct manufacturer and model are selected. Under
the "Available drivers" drop-down hpijs is selected. However, in the
"Printer/driver notes ..." it states that:

"For printing via USB you NEED to set up this printer with HPOJ, even if you do
not want to scan."

But the hpoj drivers are not listed under the list of available drivers despite
being installed:

hpoj-devel-0.90-14
libsane-hpoj-0.90-14
hpoj-0.90-14

All attempts to print to the printer in its currently configured state silently
fail.

Note that related to this I cannot configure the HPOJK80 as a scanner either. If
I start Xsane it starts with a "scanning for devices" dialog, and then says "no
devices available" and quits.

Version-Release number of selected component (if applicable):
0.6.47-1

How reproducible:
Always

Steps to Reproduce:
1. Run redhat-config-printer
2. Select HP OfficeJet K80 on /dev/usb/lp0 and configure with recommended driver
3. Attempt to print test page
    

Actual Results:  Nothing is printed

Expected Results:  Test page gets printed

Additional info:

It was hard to know what component to file this bug against - hpoj,
redhat-config-printer, or Xsane.

Given the popularity of the HP OfficeJet printers, and the availability of good
quality drivers for them, this should work out of the box.
Comment 1 Tim Waugh 2003-04-05 09:18:51 EST
There are three things preventing this from working "out of the box":

1. A perl bug (#82652)
2. redhat-config-printer not knowing about PTAL devices, fixed in rawhide
3. redhat-config-printer not doing auto-setup of ptal devices, since it's hard
to do [reported upstream]

Since the first two of these have been fixed or reported elsewhere, I'll leave
this one open for the auto-setup issue.
Comment 2 Tim Waugh 2004-06-03 11:53:43 EDT
*** Bug 125197 has been marked as a duplicate of this bug. ***
Comment 3 Colin Charles 2005-01-19 21:15:11 EST
colin->tim: Is this fixed in FC-3, or is hal playing up funny with usb:ptal and
the printers still not being configured correctly? HP PSD 1200 series has been
confirmed to not working as well
Comment 4 Tim Waugh 2005-01-20 04:36:38 EST
You still need to run 'service hpoj setup' to get anything going.  I haven't
looked closely at hplip yet (next generation hpoj), but I'm hoping that allows
us to set things up automatically.
Comment 5 Bill Nottingham 2006-08-05 01:14:31 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 7 Bill Nottingham 2007-01-02 14:14:29 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.